Bug 908351 - [Power Management]: Unable to edit power management fields, engine mistakenly thinks that host is operational.
[Power Management]: Unable to edit power management fields, engine mistakenly...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.2.0
Assigned To: Eli Mesika
Tareq Alayan
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2013-02-06 08:43 EST by Tareq Alayan
Modified: 2016-02-10 14:21 EST (History)
11 users (show)

See Also:
Fixed In Version: sf8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 05:13:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (1.14 MB, image/png)
2013-02-06 08:44 EST, Tareq Alayan
no flags Details
engine log (336.88 KB, application/x-gzip)
2013-02-06 08:45 EST, Tareq Alayan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11883 None None None Never

  None (edit)
Description Tareq Alayan 2013-02-06 08:43:36 EST
Description of problem:
Unable to edit power management fields, engine mistakenly thinks that host is operational. 

Version-Release number of selected component (if applicable):
sf5

How reproducible:
always

Steps to Reproduce:
1. Add host to engine. 
2. configure primary and secondary power managements
3. put host to maintenance
4. drop secondary power managements values
5. click ok - 
  
Actual results:
Error message saying that parameters couldn't be modified while host is operational. 
the host is in maintenance see screen shot 

Expected results:
parameters modified correctly

Additional info:
2013-02-06 15:23:24,245 ERROR [org.ovirt.engine.core.utils.ObjectIdentityChecker] (ajp-/127.0.0.1:8702-2) [6c440242] Field pmSecondaryuser can not be updated when status is Up
2013-02-06 15:23:24,245 WARN  [org.ovirt.engine.core.utils.ObjectIdentityChecker] (ajp-/127.0.0.1:8702-2) [6c440242] ObjectIdentityChecker.IsUpdateValid:: Not updatable field 'pmSecondaryuse
r' was updated
2013-02-06 15:23:24,245 WARN  [org.ovirt.engine.core.bll.UpdateVdsCommand] (ajp-/127.0.0.1:8702-2) [6c440242] CanDoAction of action UpdateVds failed. Reasons:VAR__ACTION__UPDATE,VAR__TYPE__H
OST,VDS_STATUS_NOT_VALID_FOR_UPDATE
Comment 1 Tareq Alayan 2013-02-06 08:44:10 EST
Created attachment 693939 [details]
screenshot
Comment 2 Tareq Alayan 2013-02-06 08:45:24 EST
Created attachment 693940 [details]
engine log
Comment 3 Eli Mesika 2013-02-12 07:22:24 EST
fixed in commit : 30b6f9d
Comment 5 Oded Ramraz 2013-03-03 14:51:21 EST
Verified sf9 , managed to remove secondary PM address from UI.
Comment 6 Itamar Heim 2013-06-11 05:13:22 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:39:42 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.